class 'p03_l07_m01_game1_Button'

function p03_l07_m01_game1_Button:__init()
 self.coord={}
 self.typeButton=nil
 self.objectButt=nil
 self.arrPointPos=nil

end

function p03_l07_m01_game1_Button:setCoord(coord)
  self.coord=coord
end

function p03_l07_m01_game1_Button:getCoord()
 return self.coord
end

function p03_l07_m01_game1_Button:setObject(obj)
  self.objectButt=obj
end

function p03_l07_m01_game1_Button:getObject()
 return self.objectButt
end

function p03_l07_m01_game1_Button:setType(type)
  self.typeButton=type
end

function p03_l07_m01_game1_Button:getType()
 return self.typeButton
end

function p03_l07_m01_game1_Button:_getCoordPoint()
  self.arrPointPos={{self.coord[1],self.coord[2]},{self.coord[1]+1,self.coord[2]},{self.coord[1],self.coord[2]+1},{self.coord[1]+1,self.coord[2]+1}}
 return self.arrPointPos
end

